/***************************************************************************
 *   Copyright (C) 2006 by Tomasz Salacinski   *
 *   distortion@vp.pl   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MOUSEDRIVERDIALOG_H
#define MOUSEDRIVERDIALOG_H

#include "mouse-drv-options.h"
#include "kxmain.h"

class mouseDriverDialog: public mouse_drv_options {
Q_OBJECT
public:
    mouseDriverDialog(QWidget *parent = 0, const char *name = 0, QString xorgFile = "", int sectionNum = 0);

xorgConf *x;
int sectNum;

void accept();
void sampleRateHandler();
void resolutionHandler();
QString returnXorg();
void setLocale();

};

#endif
